<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/xmp_01.jpg">
  <tr>
    <td height="28"><img src="images/xmp_01.jpg" width="180" height="28" alt="" /></td>
  </tr>
  <tr>
    <td valign="top" height="42"><table width="100%"  border="0" cellspacing="0" cellpadding="0" height="42">
      <tr>
        <td width="207"><img src="images/xmp_03.jpg" width="207" height="42" alt="" /></td>
        <td width="100%" align="center" background="images/xmp_04.jpg">
<!-- END MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
          <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="79"><img src="images/xmp_06.jpg" width="79" height="42" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="180" valign="bottom"><img src="images/xmp_07.jpg" width="180" height="509" alt="" /></td>
        <td width="100%" height="100%" valign="top">
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="24"><table width="100%"  border="0" cellspacing="0" cellpadding="0" height="24">
              <tr>
                <td width="100%" height="24" align="left" bgcolor="#FFFFFF"><img src="images/xmp_08.jpg" width="149" height="24" alt="" /></td>
                <td width="63" align="right"><img src="images/xmp_10.jpg" width="63" height="24" alt="" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="42" width="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="42">
              <tr>
                <td width="149" height="60" valign="bottom" background="images/xmp_11.jpg"><img src="images/xmp_13.jpg" width="149" height="42" alt="" /></td>
                <td width="100%" align="center" valign="top" bgcolor="#FFFFFF">
		<!-- END LOGO -->
				<table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="60" rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                    <td align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  </tr>
                  <tr>
                    <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                  </tr>
                </table>
<!-- END LOGO -->
				</td>
                <td width="63" background="images/xmp_12.jpg"><img src="images/spacer.gif" width="63" height="20" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="174" width="100%"><table width="100%"  border="0" cellspacing="0" cellpadding="0" height="174">
              <tr>
                <td width="149"><img src="images/xmp_14.jpg" width="149" height="174" alt="" /></td>
                <td width="100%" align="right">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="174" align="right" bgcolor="#FFFFFF" style="background-image: url(images/header.jpg); background-repeat: no-repeat; background-position: left;"></td>
                  </tr>
                </table>
				</td>
                <td width="63" background="images/xmp_12.jpg"><img src="images/spacer.gif" width="63" height="20" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="139" align="right" valign="top"  background="images/xmp_11.jpg">
                <table width="149" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><img src="images/spacer.gif" width="149" height="40" /></td>
                  </tr>
<!-- END SUBMENU -->
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
<!-- END SUBMENU -->					  
                 </table>
				</td>
                <td width="100%" height="100%" valign="top" bgcolor="#FFFFFF" style="padding: 25px;">
				<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/xmp_20.jpg" width="22" height="17" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
			  <xsl:apply-templates select="PAGE-CONTENT"/>
			  </td>
	   		</tr></table>
			<!-- END CONTENT -->
				</td>
                <td width="63" valign="bottom" background="images/xmp_12.jpg">
				<img src="images/xmp_17.jpg" width="63" height="256" alt="" /></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="51" width="100%"><table width="100%"  border="0" cellspacing="0" cellpadding="0" height="51">
      <tr>
        <td width="329"><img src="images/xmp_27.jpg" width="329" height="51" alt="" /></td>
        <td width="100%" align="center" background="images/xmp_28.jpg">
<!-- BOTTOM MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- BOTTOM MENU -->
		</td>
        <td width="79"><img src="images/xmp_31.jpg" width="79" height="51" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="48" background="images/xmp_36.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="48" valign="top" style="background-image: url(images/xmp_32.jpg);
	background-repeat: no-repeat;">
	<table width="100%" height="48" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/bot.jpg);
	background-repeat: no-repeat;
	background-position: right top;">
          <tr>
            <td style="background-position: left; padding-right:100">
<!-- FOOTER -->
	<div align="right" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
   <!-- END FOOTER -->
			</td>
          </tr>
        </table>
	</td>
      </tr>
    </table></td>
  </tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
   <tr>
      <td><table width="149" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="9" ><img src="images/top.gif" width="149" height="9" /></td>
        </tr>
        <tr>
          <td background="images/center.gif" ><table width="149" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="124" style="padding-left:20px; padding-right:10px;" class="asubmenu">
				  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
                <td width="25"><img src="images/sub.gif" width="10" height="10" /></td>
              </tr>
          </table></td>
        </tr>
        <tr>
          <td height="10"><img src="images/bot.gif" width="149" height="10" /></td>
        </tr>
      </table></td>
 </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
   <tr>
      <td><table width="149" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="9" ><img src="images/top.gif" width="149" height="9" /></td>
        </tr>
        <tr>
          <td background="images/center.gif" ><table width="149" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="124" style="padding-left:20px; padding-right:10px;">
				<a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
				</td>
                <td width="25"><img src="images/sub.gif" width="10" height="10" /></td>
              </tr>
          </table></td>
        </tr>
        <tr>
          <td height="10"><img src="images/bot.gif" width="149" height="10" /></td>
        </tr>
      </table></td>
 </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
        <tr>
          <td><img src="images/xmp_25.jpg" width="149" height="2" alt="" /></td>
        </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    <td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
     <td class="abmenu" align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
   <td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>       
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
     <td width="30" align="center" class="bmenu">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
