<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
					<td><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td style="background-color: #FAFAF3; background-image: url('images/menu_bg.gif');">
						<a href="{@HREF}"><img src="images/bullet.gif" border="0" alt="" align="absmiddle" style="margin-right: 5px;"/></a>
						<a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
					</td>
					<td><img src="images/menu_r.gif" border="0" alt=""/></td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<td><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td class="amenu" style="background-color: #FAFAF3; background-image: url('images/menu_bg.gif');">
						<img src="images/bullet.gif" border="0" alt="" align="absmiddle" style="margin-right: 5px;"/>
						<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</td>
					<td><img src="images/menu_r.gif" border="0" alt=""/></td>
            </xsl:when>
            <xsl:otherwise>
					<td><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td style="background-color: #FAFAF3; background-image: url('images/menu_bg.gif');">
						<a href="{@HREF}"><img src="images/bullet.gif" border="0" alt="" align="absmiddle" style="margin-right: 5px;"/></a>
						<a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
					</td>
					<td><img src="images/menu_r.gif" border="0" alt=""/></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="25"><div style="width:5px; height:0px;"><span></span></div></td>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
